Community
cancel
Showing results for 
Search instead for 
Did you mean: 
TSS00
Beginner
687 Views

Verification script to verify installation of Intel Vino 2019.3.376 failed

Jump to solution

I downloaded Intel Vino 2019.3.376 on a fresh Ubuntu 18.04 computer. 

I used Conda for building python 3.6 virtual environment  with CPU version of Tensorflow. 

I completed the installation script successfully as it shows here. Than I run the Image Classification C++ Sample Async

I run the sample from the terminal 

./demo_squeezenet_download_convert_run.sh

And received an error message that my networkx python version doesn't satisfied the dependency. 

[ ERROR ]  
Detected not satisfied dependencies:
	networkx: installed: 2.4, required: 2.4

I rechecked on Conda, I have the exact version requested 2.4. (I'm confused, is there a possible bug here?)

(tensorflow19Cpu) shahar@shahar-VirtualBox:/opt/intel/openvino/deployment_tools/demo$ conda list | grep networkx
WARNING: The conda.compat module is deprecated and will be removed in a future release.
networkx                  2.4   

The following is the complete output. 

Any help would be appreciated 

Update 1: 

The Security Barrier Camera Demo sample - works successfully 

 

Update 2 

I changed the networkx version to 2.3 and now everything works 

 

 

target_precision = FP16
[setupvars.sh] OpenVINO environment initialized


###################################################

 Update 2: 
I tried to convert a Caffe model of Alexnet using the Model Optimizer, I got the same error message that my networkx version is not compatible to version 2.4. I downgraded the networkx version to 2.3 and it worked. 




Downloading the Caffe model and the prototxt
Installing dependencies

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Hit:1 http://il.archive.ubuntu.com/ubuntu bionic InRelease
Hit:2 http://il.archive.ubuntu.com/ubuntu bionic-updates InRelease
Hit:3 http://il.archive.ubuntu.com/ubuntu bionic-backports InRelease
Hit:4 http://ppa.launchpad.net/intel-opencl/intel-opencl/ubuntu bionic InRelease
Ign:5 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:6 http://security.ubuntu.com/ubuntu bionic-security InRelease
Hit:7 http://dl.google.com/linux/chrome/deb stable Release
Reading package lists...
Building dependency tree...
Reading state information...
7 packages can be upgraded. Run 'apt list --upgradable' to see them.
Run sudo -E apt -y install build-essential python3-pip virtualenv cmake libcairo2-dev libpango1.0-dev libglib2.0-dev libgtk2.0-dev libswscale-dev libavcodec-dev libavformat-dev libgstreamer1.0-0 gstreamer1.0-plugins-base


WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Reading package lists...
Building dependency tree...
Reading state information...
build-essential is already the newest version (12.4ubuntu1).
libgtk2.0-dev is already the newest version (2.24.32-1ubuntu1).
virtualenv is already the newest version (15.1.0+ds-1.1).
cmake is already the newest version (3.10.2-1ubuntu2.18.04.1).
gstreamer1.0-plugins-base is already the newest version (1.14.5-0ubuntu1~18.04.1).
libcairo2-dev is already the newest version (1.15.10-2ubuntu0.1).
libglib2.0-dev is already the newest version (2.56.4-0ubuntu0.18.04.4).
libgstreamer1.0-0 is already the newest version (1.14.5-0ubuntu1~18.04.1).
libpango1.0-dev is already the newest version (1.40.14-1ubuntu0.1).
libavcodec-dev is already the newest version (7:3.4.6-0ubuntu0.18.04.1).
libavformat-dev is already the newest version (7:3.4.6-0ubuntu0.18.04.1).
libswscale-dev is already the newest version (7:3.4.6-0ubuntu0.18.04.1).
python3-pip is already the newest version (9.0.1-2.3~ubuntu1.18.04.1).
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
libpng-dev is already the newest version (1.6.34-1ubuntu0.18.04.2).
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.
The directory '/home/shahar/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/shahar/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Requirement already satisfied: pyyaml in /usr/lib/python3/dist-packages (from -r /opt/intel/openvino/deployment_tools/demo/../open_model_zoo/tools/downloader/requirements.in (line 1))
Requirement already satisfied: requests in /usr/local/lib/python3.6/dist-packages (from -r /opt/intel/openvino/deployment_tools/demo/../open_model_zoo/tools/downloader/requirements.in (line 2))
Requirement already satisfied: certifi>=2017.4.17 in /usr/lib/python3/dist-packages (from requests->-r /opt/intel/openvino/deployment_tools/demo/../open_model_zoo/tools/downloader/requirements.in (line 2))
Requirement already satisfied: idna<2.9,>=2.5 in /usr/lib/python3/dist-packages (from requests->-r /opt/intel/openvino/deployment_tools/demo/../open_model_zoo/tools/downloader/requirements.in (line 2))
Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in /usr/lib/python3/dist-packages (from requests->-r /opt/intel/openvino/deployment_tools/demo/../open_model_zoo/tools/downloader/requirements.in (line 2))
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /usr/lib/python3/dist-packages (from requests->-r /opt/intel/openvino/deployment_tools/demo/../open_model_zoo/tools/downloader/requirements.in (line 2))
Run python3 /opt/intel/openvino_2019.3.376/deployment_tools/open_model_zoo/tools/downloader/downloader.py --name squeezenet1.1 --output_dir /home/shahar/openvino_models/models --cache_dir /home/shahar/openvino_models/cache

################|| Downloading models ||################

========== Retrieving /home/shahar/openvino_models/models/public/squeezenet1.1/squeezenet1.1.prototxt from the cache

========== Retrieving /home/shahar/openvino_models/models/public/squeezenet1.1/squeezenet1.1.caffemodel from the cache

################|| Post-processing ||################

========== Replacing text in /home/shahar/openvino_models/models/public/squeezenet1.1/squeezenet1.1.prototxt


###################################################

Install Model Optimizer dependencies


WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Hit:1 http://il.archive.ubuntu.com/ubuntu bionic InRelease
Hit:2 http://il.archive.ubuntu.com/ubuntu bionic-updates InRelease
Hit:3 http://il.archive.ubuntu.com/ubuntu bionic-backports InRelease
Hit:4 http://ppa.launchpad.net/intel-opencl/intel-opencl/ubuntu bionic InRelease
Hit:5 http://security.ubuntu.com/ubuntu bionic-security InRelease
Ign:6 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:7 http://dl.google.com/linux/chrome/deb stable Release
Reading package lists...
Building dependency tree...
Reading state information...
7 packages can be upgraded. Run 'apt list --upgradable' to see them.

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Reading package lists...
Building dependency tree...
Reading state information...
libgfortran3 is already the newest version (6.5.0-2ubuntu1~18.04).
python3-pip is already the newest version (9.0.1-2.3~ubuntu1.18.04.1).
python3-venv is already the newest version (3.6.7-1~18.04).
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.
The directory '/home/shahar/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/shahar/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Requirement already satisfied: networkx<2.4,>=1.11 in /usr/local/lib/python3.6/dist-packages (from -r /opt/intel/openvino_2019.3.376/deployment_tools/model_optimizer/install_prerequisites/../requirements_caffe.txt (line 1))
Requirement already satisfied: numpy>=1.12.0 in /usr/local/lib/python3.6/dist-packages (from -r /opt/intel/openvino_2019.3.376/deployment_tools/model_optimizer/install_prerequisites/../requirements_caffe.txt (line 2))
Requirement already satisfied: protobuf==3.6.1 in /usr/local/lib/python3.6/dist-packages (from -r /opt/intel/openvino_2019.3.376/deployment_tools/model_optimizer/install_prerequisites/../requirements_caffe.txt (line 3))
Requirement already satisfied: defusedxml>=0.5.0 in /usr/local/lib/python3.6/dist-packages (from -r /opt/intel/openvino_2019.3.376/deployment_tools/model_optimizer/install_prerequisites/../requirements_caffe.txt (line 4))
Requirement already satisfied: decorator>=4.3.0 in /usr/local/lib/python3.6/dist-packages (from networkx<2.4,>=1.11->-r /opt/intel/openvino_2019.3.376/deployment_tools/model_optimizer/install_prerequisites/../requirements_caffe.txt (line 1))
Requirement already satisfied: setuptools in /usr/lib/python3/dist-packages (from protobuf==3.6.1->-r /opt/intel/openvino_2019.3.376/deployment_tools/model_optimizer/install_prerequisites/../requirements_caffe.txt (line 3))
Requirement already satisfied: six>=1.9 in /usr/lib/python3/dist-packages (from protobuf==3.6.1->-r /opt/intel/openvino_2019.3.376/deployment_tools/model_optimizer/install_prerequisites/../requirements_caffe.txt (line 3))
[WARNING] All Model Optimizer dependencies are installed globally.
[WARNING] If you want to keep Model Optimizer in separate sandbox
[WARNING] run install_prerequisites.sh venv {caffe|tf|mxnet|kaldi|onnx}


###################################################

Convert a model with Model Optimizer

Run python3 /opt/intel/openvino_2019.3.376/deployment_tools/open_model_zoo/tools/downloader/converter.py --mo /opt/intel/openvino_2019.3.376/deployment_tools/model_optimizer/mo.py --name squeezenet1.1 -d /home/shahar/openvino_models/models -o /home/shahar/openvino_models/ir --precisions FP16

========= Converting squeezenet1.1 to IR (FP16)
Conversion command: /home/shahar/anaconda3/envs/tensorflow19Cpu/bin/python3 -- /opt/intel/openvino_2019.3.376/deployment_tools/model_optimizer/mo.py --framework=caffe --data_type=FP16 --output_dir=/home/shahar/openvino_models/ir/public/squeezenet1.1/FP16 --model_name=squeezenet1.1 '--input_shape=[1,3,227,227]' --input=data '--mean_values=data[104.0,117.0,123.0]' --output=prob --input_model=/home/shahar/openvino_models/models/public/squeezenet1.1/squeezenet1.1.caffemodel --input_proto=/home/shahar/openvino_models/models/public/squeezenet1.1/squeezenet1.1.prototxt

[ ERROR ]  
Detected not satisfied dependencies:
	networkx: installed: 2.4, required: 2.4

Please install required versions of components or use install_prerequisites script
/opt/intel/openvino_2019.3.376/deployment_tools/model_optimizer/install_prerequisites/install_prerequisites_caffe.sh
Note that install_prerequisites scripts may install additional components.
Model Optimizer arguments:
Common parameters:
	- Path to the Input Model: 	/home/shahar/openvino_models/models/public/squeezenet1.1/squeezenet1.1.caffemodel
	- Path for generated IR: 	/home/shahar/openvino_models/ir/public/squeezenet1.1/FP16
	- IR output name: 	squeezenet1.1
	- Log level: 	ERROR
	- Batch: 	Not specified, inherited from the model
	- Input layers: 	data
	- Output layers: 	prob
	- Input shapes: 	[1,3,227,227]
	- Mean values: 	data[104.0,117.0,123.0]
	- Scale values: 	Not specified
	- Scale factor: 	Not specified
	- Precision of IR: 	FP16
	- Enable fusing: 	True
	- Enable grouped convolutions fusing: 	True
	- Move mean values to preprocess section: 	False
	- Reverse input channels: 	False
Caffe specific parameters:
	- Path to Python Caffe* parser generated from caffe.proto: 	/opt/intel/openvino_2019.3.376/deployment_tools/model_optimizer/mo/front/caffe/proto
	- Enable resnet optimization: 	True
	- Path to the Input prototxt: 	/home/shahar/openvino_models/models/public/squeezenet1.1/squeezenet1.1.prototxt
	- Path to CustomLayersMapping.xml: 	Default
	- Path to a mean file: 	Not specified
	- Offsets for a mean file: 	Not specified
Model Optimizer version: 	2019.3.0-408-gac8584cb7
FAILED:
squeezenet1.1
Error on or near line 178; exiting with status 1

 

 
 
 
 
0 Kudos
1 Solution
Sahira_Intel
Moderator
687 Views

Hi S,

Are you still running into errors when running the Image Classification demo? If so, it may be because there is an incompatibility with networkx package. Can you please install v2.3 and run the demo again: pip3 install networkx==2.3

Sincerely,

Sahira 

View solution in original post

5 Replies
Sahira_Intel
Moderator
688 Views

Hi S,

Are you still running into errors when running the Image Classification demo? If so, it may be because there is an incompatibility with networkx package. Can you please install v2.3 and run the demo again: pip3 install networkx==2.3

Sincerely,

Sahira 

View solution in original post

TSS00
Beginner
687 Views

As I mentioned before

The squeeze net doesn't work, however the classification demo works excellent.

I'll test the 2.3 version shortly 

 

Best 

 

S

 

 

TSS00
Beginner
687 Views

I run the same script this morning, without changing the networkx version, this time I get a different message. 

is it possible that Intel is changing the repository? 

 

** Update 1 - This example now works 

 

 

I run this: 

(tensorflow19Cpu) shahar@shahar-VirtualBox:/opt/intel/openvino/deployment_tools/demo$ ./demo_squeezenet_download_convert_run.sh 

And got this output 

(tensorflow19Cpu) shahar@shahar-VirtualBox:/opt/intel/openvino/deployment_tools/demo$ ./demo_squeezenet_download_convert_run.sh 
target_precision = FP16
[setupvars.sh] OpenVINO environment initialized


###################################################



Downloading the Caffe model and the prototxt
Installing dependencies
[sudo] password for shahar: 
Hit:1 http://il.archive.ubuntu.com/ubuntu bionic InRelease
Get:2 http://il.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]          
Get:3 http://il.archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]        
Ign:4 http://dl.google.com/linux/chrome/deb stable InRelease                                        
Get:6 http://dl.google.com/linux/chrome/deb stable Release [943 B]                             
Get:7 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]                         
Get:8 http://dl.google.com/linux/chrome/deb stable Release.gpg [819 B]                              
Get:5 http://ppa.launchpad.net/intel-opencl/intel-opencl/ubuntu bionic InRelease [15.9 kB]          
Reading package lists... Done                                                                    
E: Release file for http://il.archive.ubuntu.com/ubuntu/dists/bionic-updates/InRelease is not valid yet (invalid for another 10h 53min 32s). Updates for this repository will not be applied.
E: Release file for http://il.archive.ubuntu.com/ubuntu/dists/bionic-backports/InRelease is not valid yet (invalid for another 9h 59min 55s). Updates for this repository will not be applied.
E: Release file for http://dl.google.com/linux/chrome/deb/dists/stable/Release is not valid yet (invalid for another 6h 39min 56s). Updates for this repository will not be applied.
E: Release file for http://ppa.launchpad.net/intel-opencl/intel-opencl/ubuntu/dists/bionic/InRelease is not valid yet (invalid for another 7h 3min 20s). Updates for this repository will not be applied.
E: Release file for http://security.ubuntu.com/ubuntu/dists/bionic-security/InRelease is not valid yet (invalid for another 13h 47min 10s). Updates for this repository will not be applied.
Error on or near line 113; exiting with status 1

 

Sahira_Intel
Moderator
687 Views

Hi S,

Other customers have reported issues because of the networkx incompatibility (they were also running v2.4). When they downgraded to v2.3, the demos seemed to work. I understand this may not be the most ideal workaround, so I will look into this further in the meantime. 

Sincerely,

Sahira 

Titanameda
Beginner
687 Views

The following error was obtained

 

/opt/intel/openvino/deployment_tools/demo# ./demo_squeezenet_download_convert_run.sh
target_precision = FP16
[setupvars.sh] OpenVINO environment initialized


###################################################

Downloading the Caffe model and the prototxt
Installing dependencies
Hit:1 http://ppa.launchpad.net/jonathonf/ffmpeg-4/ubuntu bionic InRelease
Hit:2 http://realsense-hw-public.s3.amazonaws.com/Debian/apt-repo bionic InRelease                     
Hit:3 http://security.ubuntu.com/ubuntu bionic-security InRelease
Hit:4 http://in.archive.ubuntu.com/ubuntu bionic InRelease
Hit:5 http://in.archive.ubuntu.com/ubuntu bionic-updates InRelease
Hit:6 http://in.archive.ubuntu.com/ubuntu bionic-backports InRelease
Reading package lists... Done                      
Building dependency tree       
Reading state information... Done
130 packages can be upgraded. Run 'apt list --upgradable' to see them.
Run sudo -E apt -y install build-essential python3-pip virtualenv cmake libcairo2-dev libpango1.0-dev libglib2.0-dev libgtk2.0-dev libswscale-dev libavcodec-dev libavformat-dev libgstreamer1.0-0 gstreamer1.0-plugins-base

Reading package lists... Done
Building dependency tree       
Reading state information... Done
build-essential is already the newest version (12.4ubuntu1).
libgtk2.0-dev is already the newest version (2.24.32-1ubuntu1).
virtualenv is already the newest version (15.1.0+ds-1.1).
cmake is already the newest version (3.10.2-1ubuntu2.18.04.1).
gstreamer1.0-plugins-base is already the newest version (1.14.5-0ubuntu1~18.04.1).
libcairo2-dev is already the newest version (1.15.10-2ubuntu0.1).
libglib2.0-dev is already the newest version (2.56.4-0ubuntu0.18.04.4).
libgstreamer1.0-0 is already the newest version (1.14.5-0ubuntu1~18.04.1).
libpango1.0-dev is already the newest version (1.40.14-1ubuntu0.1).
python3-pip is already the newest version (9.0.1-2.3~ubuntu1.18.04.1).
libavcodec-dev is already the newest version (7:4.2.1-0york0~18.04.1).
libavformat-dev is already the newest version (7:4.2.1-0york0~18.04.1).
libswscale-dev is already the newest version (7:4.2.1-0york0~18.04.1).
The following packages were automatically installed and are no longer required:
  libavdevice57 libavfilter6 libavresample3 libc6-dev:i386 linux-libc-dev:i386 x11proto-dri2-dev x11proto-gl-dev
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 130 not upgraded.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libpng-dev is already the newest version (1.6.34-1ubuntu0.18.04.2).
The following packages were automatically installed and are no longer required:
  libavdevice57 libavfilter6 libavresample3 libc6-dev:i386 linux-libc-dev:i386 x11proto-dri2-dev x11proto-gl-dev
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 130 not upgraded.
Requirement already satisfied: pyyaml in /usr/lib/python3/dist-packages (from -r /opt/intel/openvino/deployment_tools/demo/../open_model_zoo/tools/downloader/requirements.in (line 1))
Requirement already satisfied: requests in /usr/local/lib/python3.6/dist-packages (from -r /opt/intel/openvino/deployment_tools/demo/../open_model_zoo/tools/downloader/requirements.in (line 2))
Requirement already satisfied: idna<2.9,>=2.5 in /usr/lib/python3/dist-packages (from requests->-r /opt/intel/openvino/deployment_tools/demo/../open_model_zoo/tools/downloader/requirements.in (line 2))
Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in /usr/lib/python3/dist-packages (from requests->-r /opt/intel/openvino/deployment_tools/demo/../open_model_zoo/tools/downloader/requirements.in (line 2))
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /usr/lib/python3/dist-packages (from requests->-r /opt/intel/openvino/deployment_tools/demo/../open_model_zoo/tools/downloader/requirements.in (line 2))
Requirement already satisfied: certifi>=2017.4.17 in /usr/lib/python3/dist-packages (from requests->-r /opt/intel/openvino/deployment_tools/demo/../open_model_zoo/tools/downloader/requirements.in (line 2))
Run python3 /opt/intel/openvino_2019.3.376/deployment_tools/open_model_zoo/tools/downloader/downloader.py --name squeezenet1.1 --output_dir /root/openvino_models/models --cache_dir /root/openvino_models/cache

################|| Downloading models ||################

========== Retrieving /root/openvino_models/models/public/squeezenet1.1/squeezenet1.1.prototxt from the cache

========== Downloading /root/openvino_models/models/public/squeezenet1.1/squeezenet1.1.caffemodel
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 601, in urlopen
    chunked=chunked)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 346, in _make_request
    self._validate_conn(conn)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 852, in _validate_conn
    conn.connect()
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 326, in connect
    ssl_context=context)
  File "/usr/lib/python3/dist-packages/urllib3/util/ssl_.py", line 332, in ssl_wrap_socket
    return context.wrap_socket(sock, server_hostname=server_hostname)
  File "/usr/lib/python3.6/ssl.py", line 407, in wrap_socket
    _context=self, _session=session)
  File "/usr/lib/python3.6/ssl.py", line 817, in __init__
    self.do_handshake()
  File "/usr/lib/python3.6/ssl.py", line 1077, in do_handshake
    self._sslobj.do_handshake()
  File "/usr/lib/python3.6/ssl.py", line 689, in do_handshake
    self._sslobj.do_handshake()
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 639, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 367, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/lib/python3/dist-packages/six.py", line 692, in reraise
    raise value.with_traceback(tb)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 601, in urlopen
    chunked=chunked)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 346, in _make_request
    self._validate_conn(conn)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 852, in _validate_conn
    conn.connect()
  File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 326, in connect
    ssl_context=context)
  File "/usr/lib/python3/dist-packages/urllib3/util/ssl_.py", line 332, in ssl_wrap_socket
    return context.wrap_socket(sock, server_hostname=server_hostname)
  File "/usr/lib/python3.6/ssl.py", line 407, in wrap_socket
    _context=self, _session=session)
  File "/usr/lib/python3.6/ssl.py", line 817, in __init__
    self.do_handshake()
  File "/usr/lib/python3.6/ssl.py", line 1077, in do_handshake
    self._sslobj.do_handshake()
  File "/usr/lib/python3.6/ssl.py", line 689, in do_handshake
    self._sslobj.do_handshake()
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/intel/openvino_2019.3.376/deployment_tools/open_model_zoo/tools/downloader/downloader.py", line 65, in try_download
    chunk_iterable = start_download()
  File "/opt/intel/openvino_2019.3.376/deployment_tools/open_model_zoo/tools/downloader/downloader.py", line 244, in <lambda>
    lambda: model_file.source.start_download(session, CHUNK_SIZE)):
  File "/opt/intel/openvino_2019.3.376/deployment_tools/open_model_zoo/tools/downloader/common.py", line 172, in start_download
    response = session.get(self.url, stream=True, timeout=DOWNLOAD_TIMEOUT)
  File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 546, in get
    return self.request('GET', url, **kwargs)
  File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 498, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))
########## Error: Download failed

################|| Post-processing ||################

FAILED:
squeezenet1.1
Error on or near line 159; exiting with status 1

 

 

 

how to resolve this ?

Reply